Bug 1086989 - [abrt] mate-applet-softupd: check_dead_bones(): softupd_applet killed by SIGSEGV
Summary: [abrt] mate-applet-softupd: check_dead_bones(): softupd_applet killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-applet-softupd
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Monnerat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9b7ed2f534ba45312580eeebac9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-12 11:19 UTC by Evgenij Kutyavin
Modified: 2016-02-29 14:04 UTC (History)
4 users (show)

Fixed In Version: mate-applet-softupd-0.2.11-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-06 21:32:52 UTC


Attachments (Terms of Use)
File: backtrace (26.42 KB, text/plain)
2014-04-12 11:19 UTC, Evgenij Kutyavin
no flags Details
File: cgroup (159 bytes, text/plain)
2014-04-12 11:19 UTC, Evgenij Kutyavin
no flags Details
File: core_backtrace (9.99 KB, text/plain)
2014-04-12 11:19 UTC, Evgenij Kutyavin
no flags Details
File: dso_list (7.87 KB, text/plain)
2014-04-12 11:19 UTC, Evgenij Kutyavin
no flags Details
File: environ (912 bytes, text/plain)
2014-04-12 11:19 UTC, Evgenij Kutyavin
no flags Details
File: limits (1.29 KB, text/plain)
2014-04-12 11:19 UTC, Evgenij Kutyavin
no flags Details
File: maps (22.92 KB, text/plain)
2014-04-12 11:19 UTC, Evgenij Kutyavin
no flags Details
File: open_fds (401 bytes, text/plain)
2014-04-12 11:19 UTC, Evgenij Kutyavin
no flags Details
File: proc_pid_status (796 bytes, text/plain)
2014-04-12 11:19 UTC, Evgenij Kutyavin
no flags Details
File: var_log_messages (362 bytes, text/plain)
2014-04-12 11:19 UTC, Evgenij Kutyavin
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2014-04-12 11:19 UTC, Evgenij Kutyavin
no flags Details

Description Evgenij Kutyavin 2014-04-12 11:19:05 UTC
Version-Release number of selected component:
mate-applet-softupd-0.2.10-1.fc20

Additional info:
reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        /usr/libexec/softupd_applet
crash_function: check_dead_bones
executable:     /usr/libexec/softupd_applet
kernel:         3.13.9-200.fc20.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 check_dead_bones at main.c:105
 #1 applet_check_icon at main.c:177
 #7 packagekit_main at backend-packagekit.c:79
 #8 applet_listener at main.c:206
 #9 applet_main at main.c:333
 #10 mate_panel_applet_marshal_BOOLEAN__STRING at mate-panel-applet-marshal.c:130
 #12 mate_panel_applet_setup at mate-panel-applet.c:1633
 #13 g_cclosure_marshal_VOID__VOIDv at gmarshal.c:115
 #14 _g_closure_invoke_va at gclosure.c:840
 #16 g_signal_emit_by_name at gsignal.c:3426

Comment 1 Evgenij Kutyavin 2014-04-12 11:19:08 UTC
Created attachment 885692 [details]
File: backtrace

Comment 2 Evgenij Kutyavin 2014-04-12 11:19:10 UTC
Created attachment 885693 [details]
File: cgroup

Comment 3 Evgenij Kutyavin 2014-04-12 11:19:13 UTC
Created attachment 885694 [details]
File: core_backtrace

Comment 4 Evgenij Kutyavin 2014-04-12 11:19:15 UTC
Created attachment 885695 [details]
File: dso_list

Comment 5 Evgenij Kutyavin 2014-04-12 11:19:17 UTC
Created attachment 885696 [details]
File: environ

Comment 6 Evgenij Kutyavin 2014-04-12 11:19:19 UTC
Created attachment 885697 [details]
File: limits

Comment 7 Evgenij Kutyavin 2014-04-12 11:19:21 UTC
Created attachment 885698 [details]
File: maps

Comment 8 Evgenij Kutyavin 2014-04-12 11:19:23 UTC
Created attachment 885699 [details]
File: open_fds

Comment 9 Evgenij Kutyavin 2014-04-12 11:19:25 UTC
Created attachment 885700 [details]
File: proc_pid_status

Comment 10 Evgenij Kutyavin 2014-04-12 11:19:27 UTC
Created attachment 885701 [details]
File: var_log_messages

Comment 11 Evgenij Kutyavin 2014-04-12 11:19:29 UTC
Created attachment 885702 [details]
File: exploitable

Comment 12 Patrick Monnerat 2014-04-22 14:35:27 UTC
Thanks for the report.
However I can't reproduce: can you answer the following questions please?
- Do you have a recipe to reproduce this crash ?
- Did it occur when you acted on it? or at session start or stop ?
All details are welcome.
Thanks in advance for your replies.

Comment 13 Fedora Update System 2014-04-28 14:27:00 UTC
mate-applet-softupd-0.2.11-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-applet-softupd-0.2.11-1.fc19

Comment 14 Fedora Update System 2014-04-28 14:27:09 UTC
mate-applet-softupd-0.2.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-applet-softupd-0.2.11-1.fc20

Comment 15 Fedora Update System 2014-04-29 05:20:41 UTC
Package mate-applet-softupd-0.2.11-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-applet-softupd-0.2.11-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5735/mate-applet-softupd-0.2.11-1.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-05-06 21:32:52 UTC
mate-applet-softupd-0.2.11-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-05-06 21:33:00 UTC
mate-applet-softupd-0.2.11-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.